<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <div th:replace="~{fragments/head :: headMeta}"></div>
    <div th:replace="~{fragments/head :: headStyle}"></div>
    <link rel="stylesheet" href="/css/podcast.css"/>
    <div th:replace="~{fragments/head :: headScripts}"></div>
</head>
<body>
    <div th:replace="~{fragments/header}"></div>
    <div class="page-content">
        <div id="episodeContainer" class="flex flex-col flex-items-center episode-container">
            <div class="flex">
                <div class="flex flex-row episode-card">
                    <div id="podcast-image-url" class="flex podcast-image-container" th:attr="data-image-url=${rssChannel.image.url}">
                        <img th:src="${rssChannel.image.url}"/>
                    </div>
                    <div class="flex flex-col podcast-header-container">
                        <div id="podcast-title" class="flex podcast-title" th:attr="data-title=${rssChannel.title}">
                            <span th:text="${rssChannel.title}"></span>
                        </div>
                        <div class="flex podcast-description color-grey">
                            <div th:utext="${rssChannel.description}"></div>
                        </div>
                        <div class="flex download-all-container flex-content-end flex-items-end">
                            <button class="download-all-btn" id="downloadAllBtn">Download All</button>
                        </div>
                    </div>
                </div>
            </div>
        
            <div th:each="item : ${rssChannel.items}" th:remove="tag">
                <div class="episode-card">
                    <div class="flex flex-col episode-card-container">
                        <div class="flex flex-row">
                            <div class="flex flex-col episode-card-header">
                                <span class="episode-date color-grey" th:text="${item.pubDate}"></span>
                                <span class="episode-title" th:text="${item.title}"></span>
                            </div>
                            <div class="flex episode-download-btn-container">
                                <button th:id="${item.guid}"
                                        class="episode-download-btn cursor-pointer"
                                        disabled="${item.alreadyExistsOnDisk}"
                                >
                                    <i th:class="${item.alreadyExistsOnDisk ? 'fa-solid fa-check' : 'fa-solid fa-download'}"></i>
                                </button>
                                <script th:inline="javascript">(() => {
                                    // Hack to set the 'item' as a data attribute on the button.
                                    $('#' + [[${item.guid}]]).data('item', [[${item}]])
                                })()</script>
                            </div>
                        </div>
                        <div class="flex">
                            <div class="episode-description color-grey" th:utext="${item.description}"></div>
                        </div>
                        <div class="flex">
                            <span class="episode-duration color-grey" th:text="${item.duration}"></span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>

<script type="text/javascript" src="/js/podcast.js"></script>
</html>
